function love.load()
population = 0
fisharray = {}
end

function kill(fish)
table.remove(fisharray,fish)
end

function reflect(fish)
fisharray[fish].drift = fisharray[fish].drift * -1
end

function fishspawn()
population = population + 1
fisharray[population] = {x = math.random(25,475), y = math.random(15,235), size = math.random()*5+0.1, drift = math.random() * 2 - 1, limit = math.random()*23+2}
if math.random() > 0.5 then fisharray[population].direction = 'right' else fisharray[population].direction = 'left' end
fisharray[population].xhf = fisharray[population].x-5
fisharray[population].xhc = fisharray[population].x+5
fisharray[population].yhf = fisharray[population].y-5
fisharray[population].yhc = fisharray[population].y+5
end

function school()
	for i=1,10 do fishspawn() end
end

function love.keypressed(space)
school()
end

function love.update()
for i = 1,population do
	fisharray[i].drift = (fisharray[i].drift/2)+math.random() * 1 - 0.5
	fisharray[i].xhf = fisharray[i].x-5
	fisharray[i].xhc = fisharray[i].x+5
	fisharray[i].yhf = fisharray[i].y-5
	fisharray[i].yhc = fisharray[i].y+5
	if fisharray[i].x <= 25+fisharray[i].size or math.random(1,1000)<4 then 
		fisharray[i].direction = 'right'
	end
	if fisharray[i].x >= 475-fisharray[i].size or math.random(1,1000)<4 then
		fisharray[i].direction = 'left'
	end
	if fisharray[i].direction == 'right' then 
		fisharray[i].x = fisharray[i].x + math.random()
	end
	if fisharray[i].direction == 'left' then 
		fisharray[i].x = fisharray[i].x - math.random()
	end
	fisharray[i].y = fisharray[i].y + fisharray[i].drift
	if fisharray[i].y <= 15 or fisharray[i].y >= 235 then
		reflect(i)
	end
end
for i = 1,population do
	for v = 1,population do
		if v > population or i > population then break end
		if v ~= i and fisharray[i].x > fisharray[v].xhf and fisharray[i].x < fisharray[v].xhc and fisharray[i].y > fisharray[v].yhf and fisharray[i].y < fisharray[v].yhc then
			if math.random() > 0.5 then
				if fisharray[i].size > fisharray[v].size then
					if fisharray[i].size + (fisharray[v].size/2) < fisharray[i].limit then fisharray[i].size = fisharray[i].size + (fisharray[v].size/2) end
					kill(v)
					population=population-1
				elseif 
					fisharray[i].size < fisharray[v].size then 
					if fisharray[v].size + (fisharray[i].size/2) < fisharray[v].limit then fisharray[v].size = fisharray[v].size + (fisharray[i].size/2) end
					kill(i)
					population=population-1
				end
			else fishspawn()
			end
		end
	end
end
end

function love.draw()
love.graphics.line(25,0,25,500)
love.graphics.line(475,0,475,500)
for i = 1,population do
	if fisharray[i].direction == 'right' then
		love.graphics.triangle('fill', fisharray[i].x, fisharray[i].y, fisharray[i].x-fisharray[i].size, fisharray[i].y+(fisharray[i].size/4), fisharray[i].x-fisharray[i].size, fisharray[i].y-(fisharray[i].size/4)) 
	end
	if fisharray[i].direction == 'left' then 
		love.graphics.triangle('fill', fisharray[i].x, fisharray[i].y, fisharray[i].x+fisharray[i].size, fisharray[i].y+(fisharray[i].size/4), fisharray[i].x+fisharray[i].size, fisharray[i].y-(fisharray[i].size/4)) 
	end
end
end
